Skip to main content
`Ctrl`+`K`

# DMPlexSetSNESVariableBounds

Compute upper and lower bounds for the solution using pointsie functions from the `PetscDS`

## Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexSetSNESVariableBounds(DM dm, SNES snes)

Collective

## Input Parameters

- dm - The `DM` object

- snes - the `SNES` object

## Notes

This calls `SNESVISetVariableBounds()` after generating the bounds vectors, so it only applied to `SNESVI` solves.

We project the actual bounds into the current finite element space so that they become more accurate with refinement.

## See Also

`SNESVISetVariableBounds()`, `SNESVI`, SNES: Nonlinear Solvers, `DM`

## Level

intermediate

## Location

src/snes/utils/dmplexsnes.c

## Examples

src/snes/tutorials/ex34.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages